Install the Genero Mobile for Android front-end application

Install Genero Mobile for Androidâ„¢ (GMA) with Genero Studio, or download the package and install from the command line.

Installation can vary depending on the host operating system. Ensure you follow the installation instructions for your host operating system.

Using Genero Studio

Genero Studio comes with everything you need to install the GMA front-end application onto your device. Follow the procedures in the Configure Genero Mobile for Android section of the Genero Studio User Guide for installation and configuration information.

From the command line

To install from the command line, you must:
  • Install Genero Business Development Language
  • Download the Genero Mobile for Android (GMA) package from the Four Js product download page (visit http://www.4js.com/download/products). This package contains the gmabuildtool tool and the APK ready to install.

Follow the instructions provided in Genero mobile development client for Android in the Genero Business Development Language User Guide for installation and configuration information.

Genero compatibility for GMA

Determine the compatibility of different versions of the Genero product family and Genero Mobile for Android (GMA).

GMA 4.00 and Genero compatibility

When using Genero Mobile for Android (GMA) 4.00, ensure the other Genero components are based on compatible versions.

GMA 4.00 uses the Genero 4.00 development environment (it requires FGLGWS 4.00 to compile the app). The runtime embedded in GMA 4.00 is FGLGWS 4.00.

Where the mobile client application is using runOnServer, GMA 4.00 is compatible with:
  • GAS 4.00 + FGLGWS 4.00

GMA 1.40 and Genero compatibility

When using Genero Mobile for Android (GMA) 1.40, ensure the other Genero components are based on compatible versions.

GMA 1.40 uses the Genero 3.20 development environment (it requires FGLGWS 3.20 to compile the app). The runtime embedded in GMA 1.40 is FGLGWS 3.20.

Where the mobile client application is using runOnServer, GMA 1.40 is compatible with:
  • GAS 3.20 + FGLGWS 3.20
  • GAS 3.10 + FGLGWS 3.10
  • GAS 3.00 + FGLGWS 3.00

GMA 1.30 and Genero compatibility

When using Genero Mobile for Android (GMA) 1.30, ensure the other Genero components are based on compatible versions.

GMA 1.30 uses the Genero 3.10 development environment (it requires FGLGWS 3.10 to compile the app). The runtime embedded in GMA 1.30 is FGLGWS 3.10.

Where the mobile client application is using runOnServer, GMA 1.30 is compatible with:
  • GAS 3.10 + FGLGWS 3.10
  • GAS 3.00 + FGLGWS 3.00

GMA 1.20 and Genero compatibility

When using Genero Mobile for Android (GMA) 1.20, ensure the other Genero components are based on compatible versions.

GMA 1.20 uses the Genero 3.00 development environment (it requires FGLGWS 3.00 to compile the app). The runtime embedded in GMA 1.20 is FGLGWS 3.00.

Where the mobile client application is using runOnServer, GMA 1.20 is compatible with:
  • GAS 3.00 + FGLGWS 3.00